# Uses of Class
org.jboss.logmanager.LogContext

Packages that use LogContext
Package
Description
org.jboss.logmanager
org.jboss.logmanager.config

## Uses of LogContext in org.jboss.logmanager

Methods in org.jboss.logmanager that return LogContext
Modifier and Type
Method
Description
`static LogContext`
LogContext.`create()`
Create a new log context.
`static LogContext`
LogContext.`create(boolean strong)`
Create a new log context.
`LogContext`
ThreadLocalLogContextSelector.`getAndSet(Object securityKey, LogContext newValue)`
Get and set the log context.
`LogContext`
CallerClassLoaderLogContextSelector.`getLogContext()`
Get the current log context.
`LogContext`
ClassLoaderLogContextSelector.`getLogContext()`
Get the current log context.
`LogContext`
ContextClassLoaderLogContextSelector.`getLogContext()`
`static LogContext`
LogContext.`getLogContext()`
Get the currently active log context.
`LogContext`
LogContextSelector.`getLogContext()`
Get the current log context.
`LogContext`
Logger.`getLogContext()`
Get the log context to which this logger belongs.
`LogContext`
ThreadLocalLogContextSelector.`getLogContext()`
`static LogContext`
LogContext.`getSystemLogContext()`
Get the system log context.
Methods in org.jboss.logmanager with parameters of type LogContext
Modifier and Type
Method
Description
`LogContext`
ThreadLocalLogContextSelector.`getAndSet(Object securityKey, LogContext newValue)`
Get and set the log context.
`void`
CallerClassLoaderLogContextSelector.`registerLogContext(ClassLoader classLoader, LogContext logContext)`
Register a class loader with a log context.
`void`
ClassLoaderLogContextSelector.`registerLogContext(ClassLoader classLoader, LogContext logContext)`
Register a class loader with a log context.
`void`
ContextClassLoaderLogContextSelector.`registerLogContext(ClassLoader classLoader, LogContext logContext)`
Register a class loader with a log context.
`boolean`
CallerClassLoaderLogContextSelector.`unregisterLogContext(ClassLoader classLoader, LogContext logContext)`
Unregister a class loader/log context association.
`boolean`
ClassLoaderLogContextSelector.`unregisterLogContext(ClassLoader classLoader, LogContext logContext)`
Unregister a class loader/log context association.
`boolean`
ContextClassLoaderLogContextSelector.`unregisterLogContext(ClassLoader classLoader, LogContext logContext)`
Unregister a class loader/log context association.
Constructors in org.jboss.logmanager with parameters of type LogContext
Modifier
Constructor
Description
``
`PropertyConfigurator(LogContext context)`
Construct a new instance.

## Uses of LogContext in org.jboss.logmanager.config

Methods in org.jboss.logmanager.config that return LogContext
Modifier and Type
Method
Description
`LogContext`
LogContextConfiguration.`getLogContext()`
Get the log context being configured by this configuration object.
Methods in org.jboss.logmanager.config with parameters of type LogContext
Modifier and Type
Method
Description
`static LogContextConfiguration`
LogContextConfiguration.Factory.`create(LogContext logContext)`
Construct a new persistent configuration for a log context.